import type { StatusProps } from './status';
declare const __VLS_export: import("vue").DefineComponent<StatusProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<StatusProps> & Readonly<{}>, {
    size: number;
    value: "" | "normal" | "error" | "success" | "warning";
    successIcon: string;
    errorIcon: string;
    warningIcon: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
